DIM config$(20), maska(5512)
SHELL "dir > listing."
OPEN "i", #1, "listing."
nomerok% = 0
nomerokdos% = 0
nnn = 1

DO WHILE NOT EOF(1)
LINE INPUT #1, text$
nomerok% = INSTR(text$, ": ")
nomerokdos% = INSTR(text$, "Number is ")
IF nomerok% > 0 THEN nmr$ = MID$(text$, nomerok% + 2, 9)
IF nomerokdos% > 0 THEN nmr$ = MID$(text$, nomerokdos% + 10, 9)
LOOP
CLOSE #1

OPEN "i", #1, "config.dat"
DO WHILE NOT EOF(1)
LINE INPUT #1, text$
config$(nnn) = text$
nnn = nnn + 1
LOOP
CLOSE #1

kol = VAL(config$(19))
'IF kol <= 0 THEN

kol = kol - 1
nmr$ = LTRIM$(RTRIM$(nmr$))
config$(1) = "0"
config$(5) = LEFT$(nmr$, 2)
config$(7) = MID$(nmr$, 3, 2)
config$(9) = MID$(nmr$, 6, 2)
config$(11) = RIGHT$(nmr$, 2)
config$(19) = STR$(kol)

OPEN "o", #1, "config.dat"
nnn = 1
DO WHILE nnn <= UBOUND(config$)
PRINT #1, LTRIM$(config$(nnn))
nnn = nnn + 1
LOOP
CLOSE #1
KILL "listing."

